LIBREOFFICE NO RUNNING EN ALFRESCO 5.2

cancel
Showing results for 
Search instead for 
Did you mean: 
Active Member II

LIBREOFFICE NO RUNNING EN ALFRESCO 5.2

Jump to solution

Saludos llevo semanas con este problema, espero me puedan apoyar.

Actualmente tengo instalado alfresco Comunity 5.2 y alfresco comunity share 5.2 d  lo instale con el wizard en ubuntu 14.04 y 16.04 en ambos linux tengo el libreoffice como no running . 

Al instalar el alfresco me solicita una librerias (fontconfig libSM libICE libXrender libXext libcups libGLU libcairo2 libgl1-mesa-glx )  para el libreoffice intento instalarlas con apt-get install pero no logro instalarlo , asi que procedi a instalar paquetes equivalentes ( libfontconfig1-dev libice-dev  libsm-dev libxrender-dev libxext-dev libxinerama-dev libcups2-dev libglu-dev libcairo2libgl1-mesa-glx) , pero me sigue solicitando las primeras librerias, asi que procedi a instalar alfresco .

Todo funciona perfecto puedo editar archivos con microsoft office y con google docs . Pero no puedo editar los archivos docx odt online por web ni tampoco puedo ver una previsualizacion de los docucumentos de este tipo de extension.

Debe ser por que el libreoffice no esta corriendo, alguien pudo solucionar este problema espero que si. Saludos de Peru.

Adjunto mi documentación conlos pasos que realice.

Hay imagenes para que puedan entender bien el problema saludos.

1 Solution

Accepted Solutions
Intermediate

Re: LIBREOFFICE NO RUNNING EN ALFRESCO 5.2

Jump to solution

Buenas Julio César.

A mi me ocurría lo mismo que a ti pero con un Alfresco 4.2.x, y después de perder horas y horas investigando conseguí solucionarlo siguiendo este enlace. El problema está relacionado con libreoffice y la instalación de dependencias en el SO, no con Alfresco en sí. Básicamente dos cosas a realizar:

- Instalar las dependencias alternativas que necesita (sigue los pasos del post).

- Corregir el path dentro del libreoffice.sh


Eso sí para que alfresco funcione correctamente debes instalar libreoffice para que pueda manejar determinados documentos y previsualizarlos. Esta configuración la puedes encontrar en alfresco-global.properties (en tomcat/shared/classes/), en una sección similar a esta:

### External executable locations ###
ooo.exe=/opt/alfresco-4.2.b/libreoffice/program/soffice.bin
ooo.enabled=true
ooo.port=8100
img.root=/opt/alfresco-4.2.b/common
img.dyn=${img.root}/lib
img.exe=${img.root}/bin/convert
swf.exe=/opt/alfresco-4.2.b/common/bin/pdf2swf
swf.languagedir=/opt/alfresco-4.2.b/common/japanese

jodconverter.enabled=false
jodconverter.officeHome=/opt/alfresco-4.2.b/libreoffice
jodconverter.portNumbers=8100


De forma adicional, ¿le echaste un vistazo a la documentación oficial por si hay algo que te falte por realizar? Installing Linux libraries manually | Alfresco Documentation 

Por cierto, sería muy útil que adjuntaras el error que te lanza Alfresco en el catalina.out o alfresco.log.

Un saludo,

Cristina.

View solution in original post

3 Replies
Intermediate

Re: LIBREOFFICE NO RUNNING EN ALFRESCO 5.2

Jump to solution

Buenas Julio César.

A mi me ocurría lo mismo que a ti pero con un Alfresco 4.2.x, y después de perder horas y horas investigando conseguí solucionarlo siguiendo este enlace. El problema está relacionado con libreoffice y la instalación de dependencias en el SO, no con Alfresco en sí. Básicamente dos cosas a realizar:

- Instalar las dependencias alternativas que necesita (sigue los pasos del post).

- Corregir el path dentro del libreoffice.sh


Eso sí para que alfresco funcione correctamente debes instalar libreoffice para que pueda manejar determinados documentos y previsualizarlos. Esta configuración la puedes encontrar en alfresco-global.properties (en tomcat/shared/classes/), en una sección similar a esta:

### External executable locations ###
ooo.exe=/opt/alfresco-4.2.b/libreoffice/program/soffice.bin
ooo.enabled=true
ooo.port=8100
img.root=/opt/alfresco-4.2.b/common
img.dyn=${img.root}/lib
img.exe=${img.root}/bin/convert
swf.exe=/opt/alfresco-4.2.b/common/bin/pdf2swf
swf.languagedir=/opt/alfresco-4.2.b/common/japanese

jodconverter.enabled=false
jodconverter.officeHome=/opt/alfresco-4.2.b/libreoffice
jodconverter.portNumbers=8100


De forma adicional, ¿le echaste un vistazo a la documentación oficial por si hay algo que te falte por realizar? Installing Linux libraries manually | Alfresco Documentation 

Por cierto, sería muy útil que adjuntaras el error que te lanza Alfresco en el catalina.out o alfresco.log.

Un saludo,

Cristina.

View solution in original post

Active Member II

Re: LIBREOFFICE NO RUNNING EN ALFRESCO 5.2

Jump to solution

Gracias cristina gracias a ti lo solucione rápidamente :

Adjunto mi solución: 

ubuntu 16.04

alfresco 201701  (5.2)

1.- Se instalan paqueterias alternativas 

apt-get install libfontconfig1 libice-dev  libsm-dev libxrender-dev libxext-dev libxinerama-dev libcups2-dev libglu-dev libcairo2 libgl1-mesa-glx

igual pide paquetería se procede a instalar obviando las librerías faltantes.

2.-

### External executable locations ###
ooo.exe=/opt/alfresco/libreoffice/program/soffice.bin
ooo.enabled=true
ooo.port=8100
img.root=/opt/alfresco/common
img.dyn=${img.root}/lib
img.exe=${img.root}/bin/convert

jodconverter.enabled=false
jodconverter.officeHome=/opt/alfresco/libreoffice
jodconverter.portNumbers=8100

3.- SOFFICE="$SOFFICEWRAPPER --nofirststartwizard --nologo --headless "--accept=socket,host=localhost,port=$SOFFICE_PORT\;urp\;StarOffice.ServiceManager""
SOFFICE_STATUS=""

con estos cambio ya puede pre visualizar archivos docx xlsx.

Gracias Cristina

Intermediate

Re: LIBREOFFICE NO RUNNING EN ALFRESCO 5.2

Jump to solution

Me alegro muchísimo, Julio ^_^

Que tengas buen fin de semana :-)